## kernel-patch-2.4.18-powerpc 2.4.18-1woody5

=== debian/changelog ===
kernel-patch-2.4.18-powerpc (2.4.18-1woody5) stable-security; urgency=low

  * Built against kernel-source-2.4.18 version 2.4.18-14.3 to pick up :
    - Applied patch by Petr Vandrovec <vandrove@vc.cvut.cz> to fix a
      possible roothole in ncpfs discovered by Arjan van de Ven
      <arjanv@devserv.devel.redhat.com> [fs/ncpfs/dir.c, CAN-2004-0010]
    - Applied patch by Sebastian Krahmer <krahmer@suse.de> and Ernie
      Petrides <petrides@redhat.com> to fix a local root exploit in iso9660
      [fs/isofs/rock.c, CAN-2004-0109]
    - Applied patch by Alan Cox and Thomas Biege to fix local root exploit
      in the R128 DRI code [drivers/char/drm/r128_state.c, CAN-2004-0003,
      drivers/char/drm-4.0/r128_state.c]
    - Applied additional patch by Ernie Petrides <petrides@redhat.com> to
      fix another intance of the same
    - Applied patch by Theodore Ts'o <tytso@mit.edu> to fix an information
      leak in ext3 journal creation [fs/jbd/journal.c, CAN-2004-0177]
    - Applied patch by Andreas Kies <andikies@t-online.de> to fix local
      denial of service in the Sound Blaster driver
      [drivers/sound/sb_audio.c, CAN-2004-0178]
  
 -- Sven Luther <luther@debian.org>  Fri,  9 Apr 2004 13:24:11 +0000

kernel-patch-2.4.18-powerpc (2.4.18-1woody4) stable-security; urgency=low

  * Built against kernel-source-2.4.18 version 2.4.18-14.2 to pick up security
    fix : Applied patch extracted from Solar Designer's Owl patched kernel to
    fix local privilege escalation discovered by Paul Starzetz (CAN-2004-0077)

 -- Sven Luther <luther@debian.org>  Wed,  4 Feb 2004 13:43:46 +0100

kernel-patch-2.4.18-powerpc (2.4.18-1woody3) stable-security; urgency=high

  * Built against kernel-source-2.4.18 version 2.4.18-14.1 to pick up security
    fix : Applied patch by Andrea Arcangeli to fix local privilege escalation
    discovered by Paul Starzetz (CAN-2003-0985)

 -- Sven Luther <luther@debian.org>  Tue,  6 Jan 2004 18:45:15 +0000

kernel-patch-2.4.18-powerpc (2.4.18-1woody2) stable-security; urgency=high

  * Build against kernel-source-2.4.18 version 2.4.18-14 to pick up
    security fix : Added TASK_SIZE check to do_brk in mm/mmap.c.

 -- Sven Luther <luther@debian.org>  Sun, 30 Nov 2003 13:33:14 +0000

kernel-patch-2.4.18-powerpc (2.4.18-1woody1) stable; urgency=high

  * Build against kernel-source-2.4.18 version 2.4.18-9 to pick up
    security fixes.
  * Backport change from unstable to disable CMD640 support - fixes some
    boot failures.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  8 Jun 2003 21:24:52 -0400

kernel-patch-2.4.18-powerpc (2.4.18-1) unstable; urgency=low

  * New upstream kernel release.
  * Disable fdomain.o, fdomain_cs.o, and in2000.o for PowerPC-unfriendly
    use of ISA functions (Closes: #129256).
  * Add newpmac kernel config from 2.4.16-1.1.
  * Correct newpmac kernel config slightly (Closes: #137734).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 14 Mar 2002 10:51:11 -0500

kernel-patch-2.4.16-powerpc (2.4.16-1) unstable; urgency=low

  * New upstream kernel release.
  * This release includes fixed kernel headers (Closes: #117218).
  * Turn off ADB keycodes here too (Closes: #120626).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 28 Nov 2001 14:09:12 -0500

kernel-patch-2.4.12-powerpc (2.4.12-1) unstable; urgency=low

  * New upstream kernel release.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 14 Oct 2001 13:40:14 -0400

kernel-patch-2.4.8-powerpc (2.4.8-2) unstable; urgency=low

  * Turn off CONFIG_RTC in favor of CONFIG_PPC_RTC.
  * Provide kernel-headers-2.4 to make glibc happier.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 15 Aug 2001 12:36:32 -0700

kernel-patch-2.4.8-powerpc (2.4.8-1) unstable; urgency=low

  * Update to kernel 2.4.8 and associated BitKeeper snapshot
    (Closes: #102123).
  * Compile in ext2, since we are not yet ready for initrd booting
    (Closes: #96828).
  * Update config/powerpc for 2.4.8.
  * Fix parallel build (pushed to bitkeeper also).
  * Disable PlanB, which does not build.
  * Add an SMP config.
  * Call the kernel package kernel-image-2.4.8-powerpc instead of
    kernel-image-2.4.8.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 14 Aug 2001 12:57:31 -0700

kernel-patch-2.4.4-powerpc (2.4.4-1) unstable; urgency=low

  * First patch package for kernel 2.4.x.
  * Bitkeeper snapshot from 2001.04.29, at the 2.4.4 merge.
  * Update to work with unstable's kernel-package.
  * Warning - the input layer fixes from 2.2.19-2 are lost in this
    upload.  The patch needs to be redone for 2.4.
  * Build only a unified PMac/PReP/CHRP kernel for now.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  6 May 2001 16:33:40 -0400

kernel-patch-2.2.19-powerpc (2.2.19-2) stable unstable; urgency=medium

  * Turn off CONFIG_MAGIC_SYSRQ for now - it breaks the arrow keys
    on some iMac keyboards still (Closes: #93247).
  * Add a patch to make enter work at boot time, finally!
  * Enable a bunch of 3COM NIC's.
  * Remove configs we don't support - they haven't built in ages...

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 14 Apr 2001 20:19:51 -0500

kernel-patch-2.2.19-powerpc (2.2.19-1) stable unstable; urgency=medium

  * New upstream version, based on final 2.2.19.  Snapshot from 20010407.
  * Start building image packages properly; thanks to Herbert Xu for
    pointing me at the (fairly obvious) mistake I was making.
  * Oh well.  Necessitated changing the versioning scheme.

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  7 Apr 2001 20:45:40 -0500

kernel-patch-2.2.19pre17-powerpc (20010304-2.2.19pre17-1) stable unstable; urgency=medium

  * New upstream version.
  * The patch is down to 299 lines!
  * Use --bzip2 to tar.
  * Update copyright and changelog files.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 22 Mar 2001 12:06:39 -0600

kernel-patch-2.2.18pre21-powerpc (20001119-2.2.18pre21-2) stable unstable; urgency=medium

  * Update configs a bit:
    - sync networking options on pmac with the standard

