=== debian/control ===
Source: kernel-patch-2.4.18-powerpc
Section: devel
Priority: optional
Maintainer: Sven Luther <luther@debian.org>
Build-Depends: kernel-source-2.4.18 (>= 2.4.18-14.3), kernel-package
Standards-Version: 3.5.4

Package: kernel-patch-2.4.18-powerpc
Architecture: all
Depends: kernel-source-2.4.18 (>= 2.4.18-14.2)
Provides: kernel-patch-powerpc
Conflicts: kernel-patch-powerpc, kernel-patch-2.2.14-powerpc (<< 20000418-2.2.15pre16-1)
Replaces: kernel-patch-powerpc, kernel-patch-2.2.14-powerpc (<< 20000418-2.2.15pre16-1)
Description: Diffs to the kernel source for PowerPC
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the BitKeeper tree used by most active PowerPC developers,
 on ppc.bkbits.net.

Package: kernel-image-2.4.18-powerpc
Section: base
Architecture: powerpc
Suggests: kernel-doc-2.4.18
Provides: kernel-image
Description: Linux kernel binary image.
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version is for Power Macintosh, CHRP, and PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.18-powerpc.

Package: kernel-image-2.4.18-powerpc-smp
Section: base
Architecture: powerpc
Suggests: kernel-doc-2.4.18
Provides: kernel-image
Description: Linux kernel binary image.
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version is for Power Macintosh, CHRP, and PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.18-powerpc.

Package: kernel-image-2.4.18-newpmac
Section: base
Architecture: powerpc
Suggests: kernel-doc-2.4.18
Provides: kernel-image
Description: Linux kernel binary image.
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 This version is for newer Power Macintosh computers, although it will
 likely work on CHRP and PReP computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.18-powerpc.

Package: kernel-headers-2.4.18
Architecture: all
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to a specific Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers.  Read /usr/share/doc/kernel-headers-2.2.15/debian.README.gz
 for details.
