## kernel-patch-2.4.18-powerpc 2.4.18-1woody6

=== debian/changelog ===
kernel-patch-2.4.18-powerpc (2.4.18-1woody6) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Built against kernel-source-2.4.18 version 2.4.18-14.4
  * Add missing build dependency on modutils

 -- dann frazier <dannf@dannf.org>  Wed, 14 Dec 2005 01:51:13 -0700
