=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Sven Luther <luther@debian.org>
-Build-Depends: kernel-source-2.4.18 (>= 2.4.18-14.3), kernel-package
+Build-Depends: kernel-source-2.4.18 (>= 2.4.18-14.3), kernel-package, debhelper, modutils
 Standards-Version: 3.5.4
 
 Package: kernel-patch-2.4.18-powerpc
